#pragma once

#include "CoreMinimal.h"
#include "Presenter.h"
#include "UObject/SoftObjectPtr.h"
#include "OfferingSequencePresenter.generated.h"

class UUserWidget;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIPRESENTERS_API UOfferingSequencePresenter : public UPresenter
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSoftClassPtr<UUserWidget> OfferingSequenceWidgetClass;

private:
	UFUNCTION(BlueprintCallable)
	void UpdateTooltipInformation();

protected:
	UFUNCTION(BlueprintCallable)
	void UpdateSequence();

	UFUNCTION(BlueprintCallable)
	void OnOfferingSequenceFinished();

public:
	UOfferingSequencePresenter();
};

FORCEINLINE uint32 GetTypeHash(const UOfferingSequencePresenter) { return 0; }
